package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * MspGeneralSettingOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class MspGeneralSettingOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("timeZone")
  private String timeZone;

  @JsonProperty("dst")
  private DstDto dst;

  public MspGeneralSettingOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Parameter [name] should be within the range of 1–32 visible ASCII characters.
   * @return name
  */
  @ApiModelProperty(value = "Parameter [name] should be within the range of 1–32 visible ASCII characters.")

@Pattern(regexp="^[^ \\+\\-\\@\\=]$|^[^ \\+\\-\\@\\=].{0,30}[^ ]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public MspGeneralSettingOpenApiVo timeZone(String timeZone) {
    this.timeZone = timeZone;
    return this;
  }

  /**
   * For the values of timeZone, refer to section 5.1 of the Open API Access Guide.
   * @return timeZone
  */
  @ApiModelProperty(value = "For the values of timeZone, refer to section 5.1 of the Open API Access Guide.")


  public String getTimeZone() {
    return timeZone;
  }

  public void setTimeZone(String timeZone) {
    this.timeZone = timeZone;
  }

  public MspGeneralSettingOpenApiVo dst(DstDto dst) {
    this.dst = dst;
    return this;
  }

  /**
   * Get dst
   * @return dst
  */
  @ApiModelProperty(value = "")

  @Valid

  public DstDto getDst() {
    return dst;
  }

  public void setDst(DstDto dst) {
    this.dst = dst;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MspGeneralSettingOpenApiVo mspGeneralSettingOpenApiVo = (MspGeneralSettingOpenApiVo) o;
    return Objects.equals(this.name, mspGeneralSettingOpenApiVo.name) &&
        Objects.equals(this.timeZone, mspGeneralSettingOpenApiVo.timeZone) &&
        Objects.equals(this.dst, mspGeneralSettingOpenApiVo.dst);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, timeZone, dst);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MspGeneralSettingOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    timeZone: ").append(toIndentedString(timeZone)).append("\n");
    sb.append("    dst: ").append(toIndentedString(dst)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

